apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: celery
  namespace: flows

spec:
  interval: 10m

  chart:
    spec:
      chart: universal-chart
      version: "0.1.7"
      sourceRef:
        kind: HelmRepository
        name: yc-oci-charts
        namespace: flux-system
      interval: 10m

  install:
    remediation:
      retries: 3

  upgrade:
    remediation:
      retries: 3

  values:
    global:
      env: _default

    services:
      backend:
        enabled: true

        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/flows-backend_worker:production_42cf0e6e
          pullPolicy:
            _default: IfNotPresent

        deployment:
          enabled: true

          name:
            _default: celery

          replicaCount:
            _default: 1
            stage: 1
            preprod: 3
            production: 3

          port:
            _default: 8000

          probes:
            liveness:
              enabled: false
            readiness:
              enabled: false

        service:
          enabled: true

          name:
            _default: backend-service

          type:
            _default: ClusterIP

          port:
            _default: 8000

          targetPort:
            _default: 8000

          portName:
            _default: http

        imagePullSecrets:
          enabled:
            _default: true
          name:
            _default: regcred
        labels:
          monitoring: prometheus

        envs:
          - name: LOG_LEVEL
            value:
              _default: "DEBUG"

          - name: BASE_HOST
            value:
              _default: "https://test.sarex.brusnika.tech"

          - name: CELERY_QUEUE
            value:
              _default: "flow"

          - name: DJANGO_HOST
            value:
              _default: "http://backend.django.svc.cluster.local:8000/api"

          - name: DOCUMENTATION_HOST
            value:
              _default: "http://documentations-api.documentations.svc.cluster.local:8080/internal/v1"

          - name: DOCUMENTATION_EXTERNAL_HOST
            value:
              _default: "http://documentations-api.documentations.svc.cluster.local:8080/api/v1"

          - name: ENABLE_ANALYTICS
            value:
              _default: "1"

          - name: ENABLE_CELERY
            value:
              _default: "1"

          - name: ENABLE_MAILGUN
            value:
              _default: "0"

          - name: ENABLE_METRICS
            value:
              _default: "0"

          - name: FROM_EMAIL
            value:
              _default: "cde@brusnika.ru"

          - name: GATEWAY_URL
            value:
              _default: "http://pdm-api.documentations.svc.cluster.local:8080"

          - name: PG_HOST
            value:
              _default: "192.168.2.45"

          - name: PG_PORT
            value:
              _default: "5432"

          - name: RABBITMQ_HOST
            value:
              _default: "rabbitmq-service"

          - name: RABBITMQ_PORT
            value:
              _default: "5672"

          - name: DOCUMENTATION_PG_PORT
            value:
              _default: "5432"

          - name: DOCUMENTATION_PG_DATABASE
            value:
              _default: "documentations"

          - name: DOCUMENTATION_PG_HOST
            value:
              _default: "postgres-service.documentations.svc.cluster.local"

          - name: RESOURCE_URL
            value:
              _default: "http://resources-service.resources.svc.cluster.local:8000"

          - name: SERVICE_HOST
            value:
              _default: "https://test.sarex.brusnika.tech/flows/api/v1"

          - name: SMTP_HOST
            value:
              _default: "smtp-relay.gmail.com"

          - name: SMTP_PORT
            value:
              _default: "587"

          - name: SYNC_RESOURCE_ID
            value:
              _default: "1"

          - name: TIMEOUT
            value:
              _default: "120"

          - name: WORKFLOWS_HOST
            value:
              _default: "http://workflows-api-service.workflow.svc.cluster.local:8000/api/v1"

          - name: WORKFLOWS_TIMEOUT
            value:
              _default: "60"

          - name: DOCUMENTATION_TIMEOUT
            value:
              _default: "60"
        secretEnvs:
          - name: ADMIN_PANEL_SECRET_KEY
            secretName:
              _default: "admin-secret"
            secretKey: "key"

          - name: JWT_PUBLIC_KEY
            secretName:
              _default: "jwt-secret"
            secretKey: "public_key"

          - name: DOCUMENTATION_PG_USERNAME
            secretName:
              _default: "postgres-secret-documentations"
            secretKey: "username"

          - name: DOCUMENTATION_PG_PASSWORD
            secretName:
              _default: "postgres-secret-documentations"
            secretKey: "password"

          - name: DJANGO_TOKEN
            secretName:
              _default: "django-secret"
            secretKey: "token"

          - name: PG_DB
            secretName:
              _default: "postgres-secret"
            secretKey: "database"

          - name: PG_LOGIN
            secretName:
              _default: "postgres-secret"
            secretKey: "username"

          - name: PG_PASSWORD
            secretName:
              _default: "postgres-secret"
            secretKey: "password"

          - name: RABBITMQ_USERNAME
            secretName:
              _default: "rabbitmq-secret"
            secretKey: "username"

          - name: RABBITMQ_PASSWORD
            secretName:
              _default: "rabbitmq-secret"
            secretKey: "password"

          - name: RABBITMQ_VHOST
            secretName:
              _default: "rabbitmq-secret"
            secretKey: "vhost"

        commitSha: ""
        gitlabUri: ""
        gitlabJobUrl: ""
        owner: ""